Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.javacode
Class ProtegeJavaMapping

    java.lang.Object
      edu.stanford.smi.protegex.owl.javacode.ProtegeJavaMapping

    public class ProtegeJavaMapping

extends Object

Constructor Summary
`ProtegeJavaMapping()`

Method Summary
`static void` | `add(String protegeClassName, Class<? extends RDFResource> javaInterface, Class<? extends RDFResource> javaImplementation)`
`static
`<X extends RDFResource> X`
` | `as(RDFResource resource, Class<? extends X> javaInterface)`
`static boolean` | `canAs(RDFResource resource, Class<? extends RDFResource> javaInterface)`
`static
`<X> X`
` | `create(OWLModel owlModel, Class<? extends X> javaInterface, String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtegeJavaMapping

    public ProtegeJavaMapping()

Method Detail

### add

    public static void add(String protegeClassName,
                           Class<? extends RDFResource> javaInterface,
                           Class<? extends RDFResource> javaImplementation)

### create

    public static <X> X create(OWLModel owlModel,
                               Class<? extends X> javaInterface,
                               String name)

### canAs

    public static boolean canAs(RDFResource resource,
                                Class<? extends RDFResource> javaInterface)

### as

    public static <X extends RDFResource> X as(RDFResource resource,
                                               Class<? extends X> javaInterface)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.